Subject: Re: how to fetch a new svn branch after clone?

From: Marc Branchaud <[email-masked]>
Date: Fri, 17 Jul 2009 12:09:24 -0400

Changsheng Jiang wrote:
> Thank Marc.
> 
> You are right, it should be the latter case with url
> http://www.example.com/project/branches/test

Hmmm, that isn't a case I mentioned in my previous email.  Are you saying that the layout is actually

	http://www.example.com/project/branches/<some branches>
	http://www.example.com/project/branches/test/<some other branches>

If that's the case I think you might be stuck.  I think git-svn can't handle that layout (with branch names under both branches/ and branches/test/).

> But "git svn clone" has already added these lines to .git/config
> 
> [svn-remote "svn"]
> 	url = https://xxx.xxxx.com/svn/xxx
> 	fetch = trunk:refs/remotes/trunk
> 	branches = branches/*:refs/remotes/*
> 	tags = tags/*:refs/remotes/tags/*
> 
> And it still can not fetch new branch.

Yes.  If you had a layout that git-svn supported, you would need to add a _second_ branches line.

		M.